package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.system.domain.ProductProductlong;
import com.ruoyi.system.mapper.ProductProductlongMapper;
import com.ruoyi.system.service.IProductProductlongService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 产品长字段记录表Service实现
 *
 * @author ruoyi
 */
@Service
public class ProductProductlongServiceImpl implements IProductProductlongService
{
    @Autowired
    private ProductProductlongMapper productProductlongMapper;

    /**
     * 查询产品长字段记录集合
     *
     * @param productProductlong 产品长字段记录信息
     * @return 产品长字段记录集合
     */
    @Override
    public List<ProductProductlong> selectProductProductlongList(ProductProductlong productProductlong)
    {
        return productProductlongMapper.selectProductProductlongList(productProductlong);
    }

    /**
     * 根据ID查询产品长字段记录信息
     *
     * @param id 主键ID
     * @return 产品长字段记录信息
     */
    @Override
    public ProductProductlong selectProductProductlongById(Long id)
    {
        return productProductlongMapper.selectProductProductlongById(id);
    }

    /**
     * 根据产品ID查询产品长字段记录信息
     *
     * @param productId 产品ID
     * @return 产品长字段记录信息
     */
    @Override
    public ProductProductlong selectProductProductlongByProductId(String productId)
    {
        return productProductlongMapper.selectProductProductlongByProductId(productId);
    }

    /**
     * 新增产品长字段记录
     *
     * @param productProductlong 产品长字段记录信息
     * @return 结果
     */
    @Override
    public int insertProductProductlong(ProductProductlong productProductlong)
    {
        return productProductlongMapper.insertProductProductlong(productProductlong);
    }

    /**
     * 修改产品长字段记录
     *
     * @param productProductlong 产品长字段记录信息
     * @return 结果
     */
    @Override
    public int updateProductProductlong(ProductProductlong productProductlong)
    {
        return productProductlongMapper.updateProductProductlong(productProductlong);
    }

    /**
     * 删除产品长字段记录
     *
     * @param id 主键ID
     * @return 结果
     */
    @Override
    public int deleteProductProductlongById(Long id)
    {
        return productProductlongMapper.deleteProductProductlongById(id);
    }

    /**
     * 批量删除产品长字段记录
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductProductlongByIds(Long[] ids)
    {
        return productProductlongMapper.deleteProductProductlongByIds(ids);
    }
}
